function populateFood()
	--createFood(4)
end

function createFood(foods, x, y)
	foodx = x
	foody = y
	for z = #foodsources + 1, #foodsources + foods do
		foodsources[z] = {}
		for k,v in pairs(generateFoodStats(foodx,foody)) do -- Doug Currie 8-16-2009
			foodsources[z][k] = v
		end
		for k,v in pairs (generateFoodGenes()) do -- Doug Currie 8-26-2009
			foodsources[z][k] = v
		end
		foodsources[z].currentintensity = foodsources[z].startintensity

		print(foodsources[z].xposition) --this doesn't happen
		print(foodsources[z].yposition) --this doesn't happen either
	end
end

function foodUpdate()
	if #foodsources > 0 then
		clearDeadFoodSources()
		growFood()
	end
end

function generateFoodStats(xPos, yPos)
	--[[
	x and y coordinate
	growback timer
	grow back from roots count
	whether the food is alive (assume carrion is a plant)
	]]--
	--I want this to return a linked list maybe

	if type(xPos) ~= 'number' then xPos = math.random(1,800) end
	if type(yPos) ~= 'number' then yPos = math.random(1,love.graphics.getHeight()) end

	foodstats = {
	xposition = xPos, --math.random(1,800), --200 on the edge for stats
	yposition = ypos, --math.random(1,600), --or math.random(1,love.graphics.getHeight()),
	currentintensity = 0,
	growbacktimer = 0,
	growfromroots = 0,
	dead = false
	}
	return foodstats
end

function generateFoodGenes()
	--[[
	start intensity
	time to regrow from 0
	max intensity growth from start
	time between growths
	number of times it will grow back from roots
	color (r/g/b)
	poison/extreme/normal
	]]--
	foodgenes = {
	startintensity = math.random(5,10),
	rootregrowtime = math.random(3,6),
	maxintensityincrease = math.random(3,6),
	growtime = math.random(1,4),
	revivelimit = math.random(2,7),
	r = math.random(1,100),--unused
	g = math.random(1,250),--unused
	b = math.random(1,200),--unused
	foodspecies = generateFoodSpecies()
	}
	return foodgenes
end

function generateFoodSpecies()
	ftype = math.random(1,12)
	if ftype <= 10 then
		foodtype = "normal"
	elseif ftype == 11 then
		foodtype = "poison"
	else
		foodtype = "extreme"
	end
	return foodtype
end

function clearDeadFoodSources()
	for x = 1, #foodsources do
		--removeSourceFromTables(checkIfSourceDied(x))
	end
end

function checkIfSourceDied(food) --returns false, or x
	return foodsources[food].dead, food
end

function removeSourceFromTables(died, food)
	if died == true then
		for x = food, #foodsources do
			--foodsources
		end
	end
end

function depopulateFood()
	for k,v in pairs(foodsources) do
		foodsources[k] = nil
	end
end

function drawFood()
	if #foodsources > 0 then
		for z = 1, #foodsources do
			if foodsources[z].foodspecies == "normal" then
				love.graphics.setColor(0,100,0)
			elseif foodsources[z].foodspecies == "poison" then
				love.graphics.setColor(110,0,180)
			elseif foodsources[z].foodspecies == "extreme" then
				love.graphics.setColor(0,250,0)
			end
			print("x: " .. foodsources[z].xposition)
			--print("y: " .. foodsources[z].yposition)
			love.graphics.circle("fill", foodsources[z].xposition, foodsources[z].yposition, foodsources[z].currentintensity * 3)
		end
	end
end
